Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.net
Class FakeTrustSocketFactory

    java.lang.Object
      |
      +--org.apache.axis.components.net.DefaultSocketFactory
            |
            +--org.apache.axis.components.net.JSSESocketFactory
                  |
                  +--org.apache.axis.components.net.FakeTrustSocketFactory

All Implemented Interfaces:
  SocketFactory

public class FakeTrustSocketFactory
extends JSSESocketFactory

Hook for Axis sender, allowing unsigned server certs

Inner Class Summary
`static class` | `FakeTrustSocketFactory.FakeX509TrustManager` Class FakeX509TrustManager

Field Summary
`protected static org.apache.commons.logging.Log` | `log` Field log

Fields inherited from class org.apache.axis.components.net.DefaultSocketFactory
`attributes`

Constructor Summary
`FakeTrustSocketFactory(java.util.Hashtable attributes)` Constructor FakeTrustSocketFactory

Method Summary
`protected com.sun.net.ssl.SSLContext` | `getContext()` Method getContext

Methods inherited from class org.apache.axis.components.net.JSSESocketFactory
`create`

Methods inherited from class org.apache.axis.components.net.DefaultSocketFactory
`isHostInNonProxyList, match`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

  Field log

Constructor Detail

### FakeTrustSocketFactory

    public FakeTrustSocketFactory(java.util.Hashtable attributes)

  Constructor FakeTrustSocketFactory
  Parameters:
    `attributes` -

Method Detail

### getContext

    protected com.sun.net.ssl.SSLContext getContext()
                                             throws java.lang.Exception

  Method getContext
  Overrides:
    `getContext` in class `JSSESocketFactory`
  Returns:
  Throws:
    `java.lang.Exception` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.